> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Queued Function

> Registers a queue triggered Azure Function with a title.

Allowed entity token types: title



## OpenAPI

````yaml /services/playfab/api-references/rest/cloudscript/cloudscript.openapi.json post /CloudScript/RegisterQueuedFunction
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab CloudScript API
  description: API methods for executing CloudScript using an Entity Profile
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
paths:
  /CloudScript/RegisterQueuedFunction:
    post:
      tags:
        - Server-Side Cloud Script
      summary: Register Queued Function
      description: |-
        Registers a queue triggered Azure Function with a title.

        Allowed entity token types: title
      operationId: RegisterQueuedFunction
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterQueuedFunctionRequest'
        description: >-
          A title can have many functions, RegisterQueuedFunction associates a
          function name with a queue name and connection string.
      responses:
        '200':
          $ref: '#/components/responses/EmptyResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    RegisterQueuedFunctionRequest:
      description: >-
        A title can have many functions, RegisterQueuedFunction associates a
        function name with a queue name and connection string.
      type: object
      properties:
        ConnectionString:
          description: >-
            A connection string for the storage account that hosts the queue for
            the Azure Function.
          type: string
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        FunctionName:
          description: The name of the function to register
          type: string
        QueueName:
          description: The name of the queue for the Azure Function.
          type: string
      required:
        - QueueName
        - ConnectionString
        - FunctionName
      example:
        QueueName: fn-queue
        ConnectionString: SampleConnectionString
        FunctionName: functionName
    EmptyResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    EmptyResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/EmptyResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Register Queued Function](/services/playfab/api-references/rest/cloudscript/server-side-cloud-script/register-queued-function.md)
- [PFCloudScriptExecuteFunctionAsync](/services/playfab/api-references/c/pfcloudscript/functions/pfcloudscriptexecutefunctionasync.md)
- [PlayFab Release Notes 2020](/services/playfab/release-notes/2020.md)
- [List Queued Functions](/api-reference/server-side-cloud-script/list-queued-functions.md)
- [Register Http Function](/api-reference/server-side-cloud-script/register-http-function.md)
